@font-face {
    font-family: 'Braind Gyumri';
    font-display: swap;
    src: url(../fonts/BraindGyumri.otf);
}

html {
    scroll-behavior: smooth;
    scroll-padding-top: 15%;
}

body {
    font-family: 'Braind Gyumri', sans-serif;
    font-weight: 400;
    background-color: #293E4B;
    max-width: 1920px;
    margin-inline: auto;
    overflow-x: hidden;
}

* {
    color-scheme: dark;
    box-sizing: border-box;
}

img {
    max-width: 100%;
    max-height: 100%;
}

button {
    background-color: inherit;
    border: inherit;
    padding: inherit;
    cursor: pointer;
}

a {
    color: inherit;
    text-decoration: inherit;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: inherit;
}

h1, h2 {
    font-size: calc(14px + 1.094vw);
}

h3 {
  font-size: calc(13px + 0.521vw);  
}

header::before {
    content: '';
    position: absolute;
    width: 200%;
    height: 200%;
    top: -70%;
    left: -50%;
    user-select: none;
    pointer-events: none;
    background-color: #293E4B;
    transform: rotate(-3deg);
    -webkit-transform: rotate(-3deg);
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
}

header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    margin-inline: auto;
    max-width: 1920px;
    width: 100%;
    font-size: calc(12px + 0.938vw);
    z-index: 999;
}

header > ul {
    gap: 6%;
    padding: 3% 0 0 6% !important;
    white-space: nowrap;
    position: relative;
}

#logo {
    position: absolute;
    right: 6%;
    top: 20%;
}

header a, header button {
    transition: .3s;
}

header a:hover, header a.active {
    color: #25618B;
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.25), -2px -2px 10px rgba(0, 0, 0, 0.25);
}

header a:active {
    color: #1a425f;
}

header .triangle-down.active {  
    border-top-color: #25618B;
}

header .menu {
    display: none;
    opacity: 0;
    position: absolute;
    left: -30%;
    top: 150%;
    padding: 25% 60% 25% 10%;
    background-image: url('../images/menu-bg.webp');
    background-repeat: no-repeat;
    background-size: 99% 100%;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    clip-path: polygon(0 0, 100% 0, 100% 91%, 0% 100%);
}

header .menu.active {
    display: block;
    animation: fadeIn .5s forwards;
}

header .menu.active ~ .triangle-down {
    transform: rotate(180deg);
}

header .menu li {
    padding: 5% 10%;
}

header .menu a:hover, header .menu a.active {
    color: #3c7dab !important;
}

p {
    font-size: calc(10px + 0.885vw);
    line-height: 1.5;
}

#header-container {
    background-image: url('../images/building.webp');
    background-size: cover;
}

#header-container > *:not(img), #footer-container > * {
    padding-inline: 10%;
}

#header-container .project {
    margin: 0 0 5% 0;
    padding-bottom: 10%;
}

.bold {
    font-weight: 800;
}

.flex {
    display: flex;
}

.flex-column {
    flex-direction: column;
}

.gap {
    gap: 1%;
}

.gap-3 {
    gap: 3%;
}

.gap-5 {
    gap: 5%;
}

.flex-wrap {
    flex-wrap: wrap;
}

.justify-center {
    justify-content: center;
}

.align-items-center {
    align-items: center;
}

.align-self-center {
    align-self: center;
}

.text-align-center {
    text-align: center;
}

.ml-auto {
    margin-inline: auto;
}

.list-style-none {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.m-bottom-5 { 
    margin-bottom: 5%;
}

.pb-5 {
    padding-block: 5%;
}

.triangle-down {
	width: 0;
	height: 0;
	border-left: 7px solid transparent;
	border-right: 7px solid transparent;
	border-top: 10px solid #fff;
    border-radius: 3px;
    cursor: pointer;
}

.triangle-down:hover {
    border-top-color: #25618B;
}

.lg-icon {
    font-size: 0 !important;
    background-repeat: no-repeat !important;
    background-color: unset !important;
    background-size: contain !important;
    width: 25px !important;
}

.lg-zoom-out {
    background-image: url('../images/zoom-out.webp') !important;
    margin: 1% .5% 0 0;
}

.lg-zoom-in {
    background-image: url('../images/zoom-in.webp') !important;
    margin: 1% 1% 0 0;
}

.lg-close {
    background-image: url('../images/close.webp') !important;
    margin: 1% 1% 0 0;
}

.lg-prev, .lg-next {
    background-image: url('../images/arrow.webp');
}

.lg-prev {
    transform: rotate(90deg);
}

.lg-next {
    transform: rotate(-90deg);
}

#building {
    position: absolute;
    z-index: -1;
    left: 0;
    top: 0;
}

#home {
    padding-block: 15%;
}

#title {
    user-select: none;
    pointer-events: none;
}

#title h1 {
    font-size: calc(12px + 1.458vw);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

#particle-logo {
  display: flex;
  height: 100%;
  align-items: center;
}

#particle-logo svg {
    display: block;
    font: calc(40px + 15vw) 'Braind Gyumri';
    width: 100%;
    height: 40vh;
    margin: 0 auto;
}
  
.text-copy {
    fill: none;
    stroke: white;
    stroke-dasharray: 6% 29%;
    stroke-width: calc(3px + .3vw);
    stroke-dashoffset: 0%;
    animation: stroke-offset 5.5s infinite linear;
}

.text-copy:nth-child(1){
    stroke: #293E4B;
    animation-delay: -1;
}

.text-copy:nth-child(2){
    stroke: #1D3544;
    animation-delay: -2s;
}

.text-copy:nth-child(3){
    stroke: #0C212E;
    animation-delay: -3s;
}

.text-copy:nth-child(4){
    stroke: #293E4B;
    animation-delay: -4s;
}

.text-copy:nth-child(5){
    stroke: #1D3544;
    animation-delay: -5s;
}

#projects-link {
    display: flex;
    align-items: center;
    gap: 3%;
    position: relative;
}

#projects h1 {
    color: #243946;
}

#particle {
	position: absolute;
	max-width:100vw;
	height: auto;
	left:50%;
	top:50%;
	transform: translateX(-50%) translateY(-50%)
}

#projects {
    display: flex;
    flex-direction: column;
    margin-block: 10%;
    background-image: url('../images/projects-bg.webp');
    background-size: 100% 100%;
    padding-block: 5% 11%;
}

#projects .cards {
    max-width: 100%;
    min-width: 100%;
    max-height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

#scroll-down {
    width: 70%;
}

.slick-track {
    overflow-y: hidden;
}

.slick-slide img {
    object-fit: contain;
    /* edit */
}

.slick-arrow {
    background-image: url('../images/arrow.webp');
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: right;
    height: 50px;
    width: 125px;
    min-width: 20px;
    font-size: 0;
}

.slick-prev {
    transform: rotate(90deg);
}

.slick-next {
    transform: rotate(-90deg);
}

.slick-slide {
    margin: 0 2vw;
}

.slick-list {
    margin: 0 -2vw;
}

#projects > a {
    align-self: center;
    margin-top: 5%;
    padding-bottom: 3%;
}

.project::before {
    content: '';
    position: absolute;
    width: 200%;
    height: 100%;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    z-index: var(--z-index);
    background: var(--color);
    user-select: none;
    pointer-events: none;
}

.project.rotate3D::before, .project.rotate2D::before {
    padding-bottom: 5%;
}

.project {
    overflow-x: clip;
    --z-index: 1;
    --color: transparent;
    --none: none;
    padding: 1%;
    position: relative;
    margin-block: 10%;
}

.project > div, .project a {
    position: relative;
    z-index: calc(var(--z-index) + 1);
}

.project hr {
    display: none;
}

.project img {
    padding: .5%;
}

#footer-container .project:first-child {
    margin-top: auto;
}

.project:not(#header-container .project):last-child {
    margin-block: 5%;
}

.project .read_more {
    font-size: calc(10px + 0.885vw);
    text-decoration: underline;
}

.image {
    text-align: center;
}

.image-style-align-left {
    float: left;
}

.image-style-align-right {
    float: right;
}

.project.rotate2D::before {
    top: 10%;
    left: -50%;
    height: 110%;
    transform: rotate(4deg);
    padding-block: 5%;
}

.project.rotate3D::before {
    transform: perspective(100vw) rotateY(15deg);
}

#about_us {
    color: white;
    display: flex;
    gap: 10%;
}

#about_us * {
    z-index: calc(var(--z-index) + 1);
}

#about_us div:first-child {
    flex: 70%;
}

#about_us div:last-child {
    flex: 30%;
}

#about_us::before {
    background: linear-gradient(180deg, #1D3544 0%, #0C212E 100%);
}

#social {
    align-items: baseline;
}

footer  {
    padding: 4% 20% 1% 20%;
    align-items: flex-end;
    justify-content: space-between;
}

footer h3 {
    font-weight: bold;
}

footer a {
    font-size: calc(9px + 0.625vw);
}

@media only screen and (max-width: 1024px) {
    #logo {
        top: 20%;
        max-width: 10%;
    }

    header::before {
        top: -60%;
    }

    #social {
        max-width: 50%;
    }
}

@media only screen and (max-width: 768px) {
    #home {
        padding-bottom: 20%;
    }

    #particle-logo svg {
        height: 100%;
    }

    .project:not(#about_us) {
        margin-block: 10%;
    }

    #about_us {
        flex-direction: column;
    }

    footer {
        padding: 15% 10% 3% 10%;
    }

    h3 {
        margin-bottom: 3%;
    }

    .project:has(ol) {
        margin-bottom: 25%;
        grid-template-areas: "data" "first-image";
    }

    .project.rotate3D::before {
        transform: perspective(100vw) rotateY(10deg);
    }

    .project.rotate3D::before, .project.rotate2D::before {
        padding-bottom: 10%;
    }

    #about_us {
        grid-template-columns: auto;
        grid-template-areas: "data" "first-image";
    }
}

@media only screen and (max-width: 524px) {
    #projects {
        padding-block: 10%;
    }
}

@media only screen and (max-width: 425px) {
    #logo {
        max-width: 14%;
    }
    
    header ul {
        padding: 5% 0 0 3% !important;
    }

    footer {
        padding-top: 20%;
    }

    #projects::before {
        transform: rotateY(10deg);
    }

    .project.rotate3D::before, .project.rotate2D::before {
        padding-bottom: 20%;
    }

    .project.rotate3D::before {
        transform: perspective(100vw) rotateY(5deg);
    }

    .project:has(ol) {
        margin-bottom: 30%;
    }

    #footer-container .project {
        margin-block: 35%;
    }

    .project.rotate2D::before {
        top: 0;
    }
}

@keyframes stroke-offset{
	100% {stroke-dashoffset: -35%;}
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}
